Loading...
Searching...
No Matches
XrdCl::Monitor::OpenInfo Struct Reference

Describe a file open event to the monitor. More...

`#include <XrdClMonitor.hh>`

Collaboration diagram for XrdCl::Monitor::OpenInfo:

## Public Member Functions

| OpenInfo ()

## Public Attributes

std::string | dataServer
| Actual fata server.
const URL * | file
| File in question.
uint64_t | fSize
| File size in bytes.
uint16_t | oFlags
| OpenFlags.

## Detailed Description

Describe a file open event to the monitor.

Definition at line 102 of file XrdClMonitor.hh.

## Constructor & Destructor Documentation

## OpenInfo()

XrdCl::Monitor::OpenInfo::OpenInfo | ( |  | ) |

inline

Definition at line 104 of file XrdClMonitor.hh.

: file(0), fSize(0), oFlags(0) {}
XrdCl::Monitor::OpenInfo::fSize
uint64_t fSize
File size in bytes.
Definition XrdClMonitor.hh:107
XrdCl::Monitor::OpenInfo::file
const URL * file
File in question.
Definition XrdClMonitor.hh:105
XrdCl::Monitor::OpenInfo::oFlags
uint16_t oFlags
OpenFlags.
Definition XrdClMonitor.hh:108

References file, fSize, and oFlags.

## Member Data Documentation

## dataServer

std::string XrdCl::Monitor::OpenInfo::dataServer

Actual fata server.

Definition at line 106 of file XrdClMonitor.hh.

Referenced by XrdCl::FileStateHandler::OnOpen().

## file

const URL* XrdCl::Monitor::OpenInfo::file

File in question.

Definition at line 105 of file XrdClMonitor.hh.

Referenced by OpenInfo(), and XrdCl::FileStateHandler::OnOpen().

## fSize

uint64_t XrdCl::Monitor::OpenInfo::fSize

File size in bytes.

Definition at line 107 of file XrdClMonitor.hh.

Referenced by OpenInfo(), and XrdCl::FileStateHandler::OnOpen().

## oFlags

uint16_t XrdCl::Monitor::OpenInfo::oFlags

OpenFlags.

Definition at line 108 of file XrdClMonitor.hh.

Referenced by OpenInfo(), and XrdCl::FileStateHandler::OnOpen().

The documentation for this struct was generated from the following file:

- XrdClMonitor.hh